<script setup lang="ts">
import type { Booking, Room } from '@/entities';
import { stringToColour } from '../form-helpers'

const { bookings } = defineProps<{
  bookings: Booking[]
}>();

const emit = defineEmits({
  roomClick(booking:Booking) { return true}
})

</script>

<template>

  <div v-for="booking in bookings">
    <div v-if="booking.room" class="rect" :key="booking.room.id" :style="{ 'border-color': booking.room.color }"
      @click="emit('roomClick', booking)">
      <div class="text-border text">
        <el-tag class="ml-1" effect="dark" v-if="booking.promo?.name" :color="stringToColour(booking.promo.name)">{{ booking.promo.name }}</el-tag>
      </div>
      <p class="salle">{{ booking.room.name }}</p>
    </div>
  </div>

</template>

<style>
.rect {
  height: 30px;
  border-left: solid 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: auto;
  padding: auto;
  margin-bottom: 2px;
  background-color: #f5f7fa;
  position: relative;

}

.text {

  font-weight: bold;
  text-transform: uppercase;
  margin: auto;
  text-align: center;
  vertical-align: middle;
  font-size: large;
}

.salle {
  position: absolute;
  font-size: smaller;
  left: 10%;
}

@media screen and (max-width: 960px) {
  .salle {
    font-size: xx-small;
  }
}
</style>
